﻿IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRuleRequirement]') and NAME='RequirementValue')
BEGIN
	ALTER TABLE [FNS_PaymentRuleRequirement] ALTER COLUMN [RequirementValue] nvarchar(max) NULL
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='OrderSubTotalFrom')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [OrderSubTotalFrom] decimal(18, 4) NULL
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='OrderSubTotalTo')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [OrderSubTotalTo] decimal(18, 4) NULL
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='CalculationTypeId')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [CalculationTypeId] int NOT NULL CONSTRAINT DF_FNS_PaymentRule_CalculationTypeId DEFAULT 0
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='Rate')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [Rate] decimal(18, 4) NOT NULL CONSTRAINT DF_FNS_PaymentRule_Rate DEFAULT 0
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='Percent')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [Percent] decimal(18, 4) NOT NULL CONSTRAINT DF_FNS_PaymentRule_Percent DEFAULT 0
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='CumulativeRates')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [CumulativeRates] bit NOT NULL CONSTRAINT DF_FNS_PaymentRule_CumulativeRates DEFAULT 0
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='MaximumRate')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [MaximumRate] decimal(18, 4) NULL
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='MinimumRate')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [MinimumRate] decimal(18, 4) NULL
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='ActionTypeId')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [ActionTypeId] int NOT NULL CONSTRAINT DF_FNS_PaymentRule_ActionTypeId DEFAULT 0
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_PaymentRule]') and NAME='NextStepId')
BEGIN
	ALTER TABLE [FNS_PaymentRule] ADD [NextStepId] int NOT NULL CONSTRAINT DF_FNS_PaymentRule_NextStepId DEFAULT 0
END
GO
